<?xml version="1.0" encoding="UTF-8"?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://axelor.com/xml/ns/domain-models http://axelor.com/xml/ns/domain-models/domain-models_5.2.xsd">

  <module name="stock" package="com.axelor.apps.stock.db"/>

  <entity name="StockMoveLineLocation" lang="java">
  
  	
    <string name="code" title="Code" >
      <![CDATA[ 
        String code = "";
	    	if(lane != null && rack != null && racklevel != null && position != null )
	    		code += lane.toString() + "-" + rack.toString() + "-" + racklevel.toString() + "-" + position.toString();
	 		  return code; 
      ]]>
    </string>
    
    <string name="lane" title="Stock lane" />
    <integer name="rack" title="Rack" /> 
    <integer name="racklevel" title="Level" /> 
    <string name="position" title="Position" />

    <many-to-one name="barCodeSeq" title="Barcode" ref="com.axelor.meta.db.MetaFile" />  
    <many-to-one name="image" title="Picture" ref="com.axelor.meta.db.MetaFile" />  

    <many-to-many name="stockMoveLineLocationLineSet" title="Stock move line location line" ref="StockMoveLineLocationLine" />  
    
    <boolean name="busy" title="Busy"/>

    <track>
    	<field name="code"/>
    </track>
  </entity>



</domain-models>
